<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="body">
			<p:panel header="#{facesContext.translate('label.missinglist.welcome')}">
				<p:dataTable value="#{studyModel.missinglists}" var="ml">
					<p:column headerText="#{facesContext.translate('label.name.missinglist')}" filterable="true" sortable="true" filterMatchMode="contains" filterBy="#{ml.name}" sortBy="#{ml.name}">
						<h:outputText value="#{ml.name}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('label.description')}" filterable="true" sortable="true" filterMatchMode="contains" filterBy="#{ml.description}" sortBy="#{ml.description}">
						<h:outputText value="#{ml.description}" />
					</p:column>
					<p:column headerText="#{facesContext.translate('title.missinglist')}" filterable="true" sortable="true" filterMatchMode="contains" filterBy="#{ml.summary}" sortBy="#{ml.summary}">
						<h:outputText value="#{ml.summary}" />
					</p:column>
					<p:column styleClass="twoiconbuttons">
						<ship:buttongroup>
							<ship:iconButton id="btn_edit" action="#{studyController.toEditMissinglist(ml)}" hint="#{facesContext.translate('button.edit')}" iconAwesome="pencil" immediate="true" />
							<ship:removeButton id="btn_delete" action="#{studyController.doRemoveMissinglist(ml)}" value="" tooltip="#{facesContext.translate('button.remove')}" isLink="false"
								title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}">
								<h:outputText value="#{facesContext.translate('confirmation.delete', ml.name)}" />
							</ship:removeButton>
						</ship:buttongroup>
					</p:column>
				</p:dataTable>
			</p:panel>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_add" action="#{studyController.toEditMissinglist(null)}" value="#{facesContext.translate('button.add')}" />
			<p:commandButton id="btn_cancel" action="#{studyController.toWelcome}" value="#{facesContext.translate('button.overview')}" immediate="true" />
		</ui:define>
		<ui:define name="help_de">
			Auf dieser Seite bekommen Sie einen Überblick über die Missinglisten, die für die Studiengruppe bereits erstellt wurden und zu denen Sie Zugriff haben. Sie können bestehende Listen über das betreffende Symbol in der Tabelle löschen oder bearbeiten, sowie über <i>Hinzufügen</i> eine neue Liste erstellen.
		</ui:define>
		<ui:define name="help_en">
			On this page you get an overview of the missing lists that have already been created for this study group and that you have acess to. You can delete or edit existing lists by clicking on the respective button in the table, or create a new list by clicking <i>add</i>.
		</ui:define>
	</ui:composition>
</h:body>
</html>